/*****************************************************************************/
/*
  parameters.c: manage simulation parameters
*/
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <malloc.h>
#include <string.h>

#include "main.h"
#include "main2.h"

/*****************************************************************************/

void
init_default_parameters( SIM *s )
{

  /* Overall parameters */
  s->duration = 5.0;
  s->time_step = 0.01;
  s->gravity = 9.81;
  s->viscous_friction[SHOULDER] = 0.1;
  s->viscous_friction[ELBOW] = 0.1;

  s->upper_arm_length = 0.3; // meters
  s->upper_arm_cm = s->upper_arm_length/2; // distance from shoulder to COM
  s->upper_arm_mass = 1.0;
  s->upper_arm_I // moment of Inertia about center of mass.
    = s->upper_arm_mass*s->upper_arm_length*s->upper_arm_length/12;
  s->forearm_length = 0.3;
  s->forearm_cm = s->forearm_length/2; // distance from elbow to COM
  s->forearm_mass = 1.0;
  s->forearm_I
    = s->forearm_mass*s->forearm_length*s->forearm_length/12;

  s->force_forearm_fx = 0;
  s->force_forearm_fz = 0;
  s->force_forearm_r = 0;
  s->force_upper_arm_fx = 0;
  s->force_upper_arm_fz = 0;
  s->force_upper_arm_r = 0;
}

/*****************************************************************************/
/*****************************************************************************/

