/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "main.h"
#include "main2.h"

/*****************************************************************************/
/*****************************************************************************/

extern SIM sim;

/*****************************************************************************/
/*****************************************************************************/
/*****************************************************************************/

int init_sim( SIM *s )
{
  double time = 0.0;
  double state[N_X] = { 1.0, 0.0, 0.0, 0.0 };

  s->angle = s->state;
  s->angled = &(s->state[N_DOFS]);
  init_dynamics( s );
  set_state( s, time, state );
  return 0;
}

/*****************************************************************************/

int main( int argc, char **argv )
{
  int i;

  init_default_parameters( &sim );
  init_sim( &sim );
  init_data( &sim );

  for( i = 0; sim.time < sim.duration; i++ )
    {
      if ( (i % 100) == 0 )
        {
          printf( "%g: %g %g %g %g %g %g\n", sim.time,
		  sim.angle[SHOULDER], sim.angle[ELBOW],
		  sim.elbow[XX], sim.elbow[ZZ],
		  sim.wrist[XX], sim.wrist[ZZ] );
        }
      controller( &sim );
      save_data( &sim );
      if ( sim.status == CRASHED )
	break;
      integrate_one_time_step( &sim );
    }

  write_the_mrdplot_file( &sim );
  return 0;
}

/*****************************************************************************/
